| gtk-0.11.2: Binding to the Gtk+ graphical user interface library. | Contents | Index
Graphics.UI.Gtk.MenuComboToolbar.SeparatorMenuItem |
Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Contents
Detail Class Hierarchy Types Constructors
Description
A separator used in menus
Synopsis
data SeparatorMenuItem
class MenuItemClass o => SeparatorMenuItemClass o
castToSeparatorMenuItem :: GObjectClass obj => obj -> SeparatorMenuItem
gTypeSeparatorMenuItem :: GType
toSeparatorMenuItem :: SeparatorMenuItemClass o => o -> SeparatorMenuItem
separatorMenuItemNew :: IO SeparatorMenuItem
Detail
The `SeparatorMenuItem` is a separator used to group items within a menu. It displays a horizontal line with a shadow to make it appear sunken into the interface.
Class Hierarchy
     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----Bin
     | +----Item
     | +----MenuItem
     | +----SeparatorMenuItem
Types
data SeparatorMenuItem
Instances
Eq SeparatorMenuItem |
Ord SeparatorMenuItem |
GObjectClass SeparatorMenuItem |
SeparatorMenuItemClass SeparatorMenuItem |
MenuItemClass SeparatorMenuItem |
ItemClass SeparatorMenuItem |
BinClass SeparatorMenuItem |
ContainerClass SeparatorMenuItem |
WidgetClass SeparatorMenuItem |
ObjectClass SeparatorMenuItem |
class MenuItemClass o => SeparatorMenuItemClass o
Instances
SeparatorMenuItemClass SeparatorMenuItem |
castToSeparatorMenuItem :: GObjectClass obj => obj -> SeparatorMenuItem
gTypeSeparatorMenuItem :: GType
toSeparatorMenuItem :: SeparatorMenuItemClass o => o -> SeparatorMenuItem
Constructors
separatorMenuItemNew :: IO SeparatorMenuItem
Creates a new `SeparatorMenuItem`.
Produced by Haddock version 2.7.2